OpenNMS API 1.2.9

## org.opennms.netmgt.config.service
Class Invoke

    java.lang.Object
      org.opennms.netmgt.config.service.Invoke

All Implemented Interfaces:
  java.io.Serializable

public class Invoke
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.util.ArrayList` `_argumentList`
`private java.lang.String` `_at`
`private boolean` `_has_pass` keeps track of state for field: _pass
`private java.lang.String` `_method`
`private int` `_pass`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Invoke()`

Method Summary
`void` `addArgument(Argument vArgument)`
`void` `addArgument(int index, Argument vArgument)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `clearArgument()`
`void` `deletePass()`
`java.util.Enumeration` `enumerateArgument()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`Argument[]` `getArgument()`
`Argument` `getArgument(int index)`
`java.util.Collection` `getArgumentCollection()`
`int` `getArgumentCount()`
`java.lang.String` `getAt()` Returns the value of field 'at'.
`java.lang.String` `getMethod()` Returns the value of field 'method'.
`int` `getPass()` Returns the value of field 'pass'.
`boolean` `hasPass()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeArgument(Argument vArgument)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setArgument(Argument[] argumentArray)`
`void` `setArgument(int index, Argument vArgument)`
`void` `setArgumentCollection(java.util.Collection vArgument)`
`void` `setAt(java.lang.String at)` Sets the value of field 'at'.
`void` `setMethod(java.lang.String method)` Sets the value of field 'method'.
`void` `setPass(int pass)` Sets the value of field 'pass'.
`static Invoke` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _method

    private java.lang.String _method

### _pass

    private int _pass

### _has_pass

    private boolean _has_pass

  keeps track of state for field: _pass

### _at

    private java.lang.String _at

### _argumentList

    private java.util.ArrayList _argumentList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Invoke

    public Invoke()

Method Detail

### addArgument

    public void addArgument(Argument vArgument)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vArgument` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addArgument

    public void addArgument(int index,
                            Argument vArgument)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vArgument` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### clearArgument

    public void clearArgument()

### deletePass

    public void deletePass()

### enumerateArgument

    public java.util.Enumeration enumerateArgument()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getArgument

    public Argument getArgument(int index)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getArgument

    public Argument[] getArgument()

### getArgumentCollection

    public java.util.Collection getArgumentCollection()

### getArgumentCount

    public int getArgumentCount()

### getAt

    public java.lang.String getAt()

  Returns the value of field 'at'.

  Returns:
    the value of field 'at'.

### getMethod

    public java.lang.String getMethod()

  Returns the value of field 'method'.

  Returns:
    the value of field 'method'.

### getPass

    public int getPass()

  Returns the value of field 'pass'.

  Returns:
    the value of field 'pass'.

### hasPass

    public boolean hasPass()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeArgument

    public boolean removeArgument(Argument vArgument)

  Parameters:
    `vArgument` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setArgument

    public void setArgument(int index,
                            Argument vArgument)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vArgument` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setArgument

    public void setArgument(Argument[] argumentArray)

  Parameters:
    `argumentArray` -

### setArgumentCollection

    public void setArgumentCollection(java.util.Collection vArgument)

  Parameters:
    `vArgument` -

### setAt

    public void setAt(java.lang.String at)

  Sets the value of field 'at'.

  Parameters:
    `at` - the value of field 'at'.

### setMethod

    public void setMethod(java.lang.String method)

  Sets the value of field 'method'.

  Parameters:
    `method` - the value of field 'method'.

### setPass

    public void setPass(int pass)

  Sets the value of field 'pass'.

  Parameters:
    `pass` - the value of field 'pass'.

### unmarshal

    public static Invoke unmarshal(java.io.Reader reader)
                            throws org.exolab.castor.xml.MarshalException,
                                   org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.